Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencingService.DefaultSelector

    java.lang.Object
      org.modeshape.repository.sequencer.SequencingService.DefaultSelector

All Implemented Interfaces:
  SequencingService.Selector

Enclosing class:
  SequencingService

    protected static class SequencingService.DefaultSelector

extends Object
implements SequencingService.Selector

The default `SequencingService.Selector` implementation that selects every sequencer every time it's called, regardless of the node (or logger) supplied.

Author:
  Randall Hauch

Constructor Summary
`protected` | `SequencingService.DefaultSelector()`

Method Summary
`List<Sequencer>` | `selectSequencers(List<Sequencer> sequencers, Node node, NetChangeObserver.NetChange nodeChange)` Select the sequencers that should be used to sequence the supplied node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequencingService.DefaultSelector

    protected SequencingService.DefaultSelector()

Method Detail

### selectSequencers

    public List<Sequencer> selectSequencers(List<Sequencer> sequencers,
                                            Node node,
                                            NetChangeObserver.NetChange nodeChange)

  Description copied from interface: `SequencingService.Selector`
  Select the sequencers that should be used to sequence the supplied node.

  Specified by:
    `selectSequencers` in interface `SequencingService.Selector`
  Parameters:
    `sequencers` - the list of all sequencers available at the moment; never null
    `node` - the node to be sequenced; never null
    `nodeChange` - the set of node changes; never null
  Returns:
    the list of sequencers that should be used; may not be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.